# Headers and Body Request  by Text body

## Header

<table><thead><tr><th>Type</th><th width="374">Value</th></tr></thead><tbody><tr><td>Content-Type</td><td>application/json</td></tr></tbody></table>

## Body

Example Request:

*raw (application/json)*

{% tabs %}
{% tab title="Example Request:" %}

```
{
  "key": "<API_Key>",
  "value": "Seven people have been “critically injured” in a large fire that broke out in a building in Paris on Wednesday, following a suspected gas explosion, CNN affiliate BFMTV reported. Hundreds of firefighters have been deployed to the scene, it said. In a tweet posted shortly after 5 p.m. local time (11 a.m. ET), police in Paris asked people to avoid the area near Rue Saint Jacques, in the city’s 5th arrondissement. Nine others have sustained noncritical injuries, according to BFMTV. One woman, Anne, told a CNN producer at the scene that she was inside her flat, around 500m from the site, when the explosion happened. “It felt like an earthquake, the windows banged against each other,” she said. Another woman who didn’t want to give her name and lives in a neighboring avenue told CNN that her doors slammed shut from the explosion. Locals have been stopped from returning to their homes in surrounding streets. French Interior Minister Gerald Darmanin, currently in Nancy in eastern France for a conference, will cut short his trip and return to Paris, the interior ministry told media.",
  "lookupId": <LOOKUPID_VALUE>
}
```

{% endtab %}

{% tab title="Response Body" %}
{

&#x20; "requestId": "5d60f1b7-e614-4524-bce6-174a81a2fd90",

&#x20; "id": 1486,<--\<RESPONCE\_ID\_VALUE>

&#x20; "status": "progress",

&#x20; "message": "Results will be available soon, Use API to retrieve Data"

}
{% endtab %}

{% tab title="CURL" %}

```
1.	curl -X 'POST' \
2.	  'https://irbis.espysys.com/api/developer/sentiment_analysys' \
3.	  -H 'accept: application/json' \
4.	  -H 'Content-Type: application/json' \
5.	  -d '{
6.	  "key": "<API_Key>",
7.	  "value": "Seven people have been “critically injured” in a large fire that broke out in a building in Paris on Wednesday, following a suspected gas explosion, CNN affiliate BFMTV reported. Hundreds of firefighters have been deployed to the scene, it said. In a tweet posted shortly after 5 p.m. local time (11 a.m. ET), police in Paris asked people to avoid the area near Rue Saint Jacques, in the city’s 5th arrondissement. Nine others have sustained noncritical injuries, according to BFMTV. One woman, Anne, told a CNN producer at the scene that she was inside her flat, around 500m from the site, when the explosion happened. “It felt like an earthquake, the windows banged against each other,” she said. Another woman who didn’t want to give her name and lives in a neighboring avenue told CNN that her doors slammed shut from the explosion. Locals have been stopped from returning to their homes in surrounding streets. French Interior Minister Gerald Darmanin, currently in Nancy in eastern France for a conference, will cut short his trip and return to Paris, the interior ministry told media.",PQP/9k="",
8.	  "lookupId": <LOOKUPID_VALUE>
9.	}'

```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://api-docs.espysys.com/ai-sentiment-analysis/headers-and-body-request-by-text-body.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
